#!/usr/bin/env python3

""" Fetch issues from a roundup-tracker and save them in a databse.

author: Sascha L. Teichmann <sascha.teichmann@intevation.de>
author: Bernhard Reiter <bernhard@intevation.de>
author: Sean Engelhardt <sean.engelhardt@intevation.de>

(c) 2010, 2015, 2018 by Intevation GmbH

This is Free Software unter the terms of the
GNU GENERAL PUBLIC LICENSE Version 3 or later.
See http://www.gnu.org/licenses/gpl-3.0.txt for details
"""
import configparser
from display_issues import *

config = configparser.ConfigParser()
config.read('config3.ini')

keywords = config.get("SEARCH", "Keywords", fallback="")
status = config.get("SEARCH", "Status", fallback="")
columns = config.get("SEARCH", "Columns", fallback="critical, urgent, bug, feature, wish")
noPrio = config.get("SEARCH", "IncludeNoPrio", fallback=False)
if noPrio:
    columns += ", None"

cgitb.enable() # (optional) HTML traceback to browser
#render_db_stats_as_html("./demo1.db", rcd.SELECT_ALL)
render_db_stats_as_html("./demo3.db",
        rcd.build_sql_select(columns).format("timestamp > date('now', '-2 month')"),
        status, keywords)
